/*
CTC Separate Stylesheet
Updated: 2025-12-03 11:51:22
*/
#masthead {z-index:9!important}
#masthead:hover {z-index:99!important}
.entry-content .wp-block-kadence-rowlayout.alignfull {z-index:10!important; position:relative;}
.kadence-query-filter {z-index:0}

ul.kb-query-grid-wrap li {
  position: relative;
  box-sizing: border-box;
}

ul.kb-query-grid-wrap li .wp-block-kadence-column {
  position: absolute !important;
  left: 0;
  bottom: 0;
  right: 0;
  background: #fff;
  transform: translateY(0%);
  transition: transform 1s cubic-bezier(0.4, 0, 0.2, 1), opacity 0.4s  cubic-bezier(0.4, 0, 0.2, 1), box-shadow 0.2s ease;
  z-index: -1;
  opacity: 0;

}
ul.kb-query-grid-wrap li img,
ul.kb-query-grid-wrap li .wp-block-kadence-column {
  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
  will-change: transform;
}
ul.kb-query-grid-wrap li .kt-inside-inner-col a,
ul.kb-query-grid-wrap li .kt-inside-inner-col h4 {display:block; transform: translateY(-50px); 
                                                  opacity:0;  
                                                  transition: transform 1s cubic-bezier(0.4, 0, 0.2, 1), opacity 1s  cubic-bezier(0.4, 0, 0.2, 1); }

ul.kb-query-grid-wrap li:hover .kt-inside-inner-col a,
ul.kb-query-grid-wrap li:focus-within .kt-inside-inner-col a,
ul.kb-query-grid-wrap li:hover .kt-inside-inner-col h4,
ul.kb-query-grid-wrap li:focus-within .kt-inside-inner-col h4{ transform: translateY(0); opacity:1;}


ul.kb-query-grid-wrap li:hover .wp-block-kadence-column,
ul.kb-query-grid-wrap li:focus-within .wp-block-kadence-column {
  transform: translateY(50px);
  z-index: 10;
  opacity: 1;
  
}

ul.kb-query-grid-wrap li img {
  transform: translateY(0%);
  transition: transform 0.3s cubic-bezier(0.4, 0, 0.2, 1), opacity 0.3s  cubic-bezier(0.4, 0, 0.2, 1);
  z-index: 10;
}
ul.kb-query-grid-wrap li a.kb-advanced-image-link {position:relative; z-index:9999}
ul.kb-query-grid-wrap li .kt-inside-inner-col:after{
                                                    transition: transform 0.7s cubic-bezier(0.4, 0, 0.2, 1);
                                                    transform: translateY(-15px);
                                                    pointer-events: none;
                                                    content: "";
                                                    width:30px;
                                                    height:30px;
                                                    display:inline-block;
                                                    position:absolute;
                                                    z-index:150;
                                                    left:calc( 50% - 15px );
                                                    background: url('/dev/wp-content/uploads/2025/12/buttons1.png') #aaad 50% 50%;
                                                    background-size: contain;
                                                    top:0;
                                                    border:2px solid #fff;
                                                    border-radius:50%;
                                                    display: inline-block
                                                    }

ul.kb-query-grid-wrap li:hover .kt-inside-inner-col:after,
ul.kb-query-grid-wrap li:focus-within .kt-inside-inner-col:after {

  z-index: 10;
  opacity: 1;
  
}

ul.kb-query-grid-wrap li:hover img,
ul.kb-query-grid-wrap li:focus-within img {
  transform: translateY(-50px);
  z-index: 10;
  position: relative;
}


ul.kb-query-grid-wrap .kt-inside-inner-col {  display: flex; justify-content: flex-start;  }
ul.kb-query-grid-wrap li .wp-block-kadence-image img {box-shadow: 0 0 0 0 white; }
ul.kb-query-grid-wrap li:hover .wp-block-kadence-image img {box-shadow: 0 -1em 0 0 white;}
ul.kb-query-grid-wrap .hls-hover_underline {display:block; text-align:center;}
ul.kb-query-grid-wrap .hls-hover_underline:hover {text-decoration: none !important;  }

.single-portfolio .size-full img {width:100%;}

.home .buttons-options .kb-button.kb-query-filter-filter-button.pressed { font-weight:400; color:#000 !important; background: none !important;  }
.single .hero {max-width: var(--global-content-width); margin:0 auto;    padding: 0 var(--global-content-edge-padding); padding-top: var(--global-content-edge-padding); }
.single .hero img {width:100% !important; min-width:100% ; }
.single .hero figure {padding:0; margin:0 auto; display: block !important}

ul.kb-query-grid-wrap li .wp-block-kadence-image {
  position: relative;
  overflow: visible;
  z-index: 0; /* baseline */
}

ul.kb-query-grid-wrap li .wp-block-kadence-image:hover {
  z-index: 3;
  -webkit-transform: translateZ(0);  /* forces isolation */
          transform: translateZ(0);
  isolation: isolate;                 /* fixes Safari bleed */
}

.mobile-drawer-content.content-align-left.content-valign-top > div:nth-child(3) {justify-content:center !important}
.mobile-drawer-content.content-align-left.content-valign-top > div:nth-child(4) {justify-content:center !important}